﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ViewModel : BindableObject
    {
        public ObservableCollection<Model> Bars { get; set; }   

        public ViewModel()
        {
            Bars = new ObservableCollection<Model>
            {
                new Model(new DateTime(2016, 1, 1), 25, 30),
                new Model(new DateTime(2016, 3, 5), 40, 48),
                new Model(new DateTime(2016, 3, 27), 55, 67),
                new Model(new DateTime(2016, 5, 21), 65, 77),
                new Model(new DateTime(2016, 8, 14), 35, 58),                
            };            
        }
    }

    public class Model
    {
        public DateTime Date { get; set; }
        public double Actual { get; set; }
        public double Estimated { get; set; }
      
        public Model(DateTime date, double value1, double value2)
        {
            Date = date;
            Actual = value1;
            Estimated = value2;            
        }
    }
}
